// notification_api.dart
class NotificationApi {
  static const String notifications = '/api/v1/notifications';
  static String getNotifications({required int limit, required int offset}) {
    return '$notifications?limit=$limit&offset=$offset&event_type=PUSH';
  }

  static const String markAllAsRead = '/api/v1/notifications/mark';
  static const String markAsRead = '/api/v1/notifications/mark';

  static const String unreadNotifications =
      '/api/v1/notifications?seen=false?event_type=PUSH';
  static String getUnreadNotifications({
    required int limit,
    required int offset,
  }) {
    return '/api/v1/notifications?seen=false&limit=$limit&offset=$offset&event_type=PUSH';
  }

  static String getImportantNotifications({
    required int limit,
    required int offset,
  }) {
    return '/api/v1/notifications?priority=important&limit=$limit&offset=$offset&event_type=PUSH';
  }
}
